#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# example compiler plugin
# the config object is a set of properties
# that are passed (dependent on platform)
# that will allow you to hook into the compiler tooling
# 
 
import os
import re
import datetime
import time
 
def compile(config):
    print "[INFO] Compiler plugin: ti.version loaded and working for %s" % config['platform']
 
    project_dir = config['project_dir']
    tiappxml_file =  os.path.join(project_dir, 'tiapp.xml')
    version_file = os.path.join(project_dir, 'Resources', 'version.js')
    print "[INFO] Compiler version_file:  %s" % version_file
    f = open(tiappxml_file, 'r')
    string = f.read()
    vl_value = 0
    
    if (config['platform'] == 'ios'):
        regex = re.compile("(?<=<key>CFBundleVersion<\/key>)\s*<string>([0-9]+)(?=<\/string>)")
        r = regex.findall(string)
        vl_value = r[0]
    elif (config['platform'] == 'android'):
        regex = re.compile("(?<=android:versionCode=\")([0-9]+)(?=\")")
        r = regex.findall(string)
        vl_value = r[0]
    f.close()
    _build = str(vl_value)
    now = time.localtime(time.time())
    data = "var _buildNumber = %s;var _buildDate = \"%s\";" %(_build,time.strftime('%m/%d/%Y %I:%M:%S %p', now))
 
    print "[DEBUG] [ti.version] data: %s" % data
 
    vf = open(version_file, "w")
    vf.write(data)
    vf.close()